#include "Behavioural/Generic/Queue_Control/include/Queue_Control.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace queue_control {

#undef  FUNCTION
#define FUNCTION "Queue_Control::nb_elt"
  uint32_t Queue_Control::nb_elt  (void)
  {
    log_printf(FUNC,Queue_Control,FUNCTION,"Begin");
	
    uint32_t _return = _nb_elt;

    log_printf(FUNC,Queue_Control,FUNCTION,"End");
    
    return _return;
  };
}; // end namespace queue_control
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
